Subject: bug#25529: diagnosis and one approach to a fix

From: Tom Tromey <[email-masked]>
Date: Mon, 06 Feb 2017 10:27:34 -0700

Dmitry> This is very good, thank you. Here's just one example I've come so far
Dmitry> that works with the old code, but not with yours:
Dmitry> let x = /[/]/;
Dmitry> And that's probably just because the new js-syntax-propertize-regexp
Dmitry> doesn't move point forward after matching

Yep, adding a goto-char at the end of the function fixed this.
Thanks for pointing that out; I'll add a test case for it.

Dmitry> We could try to combine the regexps together, though. Then we'd move
Dmitry> the syntax-ppss status check inside the rule for the opening
Dmitry> delimiter, and use a simple one for the closer.

I think I understand combining the regexps.  But what does using a simple
regexp for the closer mean?

Also, what is the purpose of the first call to
js-syntax-propertize-regexp in js-syntax-propertize?

Tom